com.fasterxml.jackson.dataformat.xml.util

## Class XmlRootNameLookup

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.XmlRootNameLookup

All Implemented Interfaces:
  Serializable

    public class XmlRootNameLookup
    extends Object
    implements Serializable

Helper class used for efficiently finding root element name used with XML serializations.

See Also:
  Serialized Form

### Field Summary

Fields
`protected com.fasterxml.jackson.databind.util.LRUMap<com.fasterxml.jackson.databind.type.ClassKey,QName>` `_rootNames` For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

### Constructor Summary

Constructors
Constructor and Description
`XmlRootNameLookup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected QName` `_findRootName(Class<?> rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`QName` `findRootName(Class<?> rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`QName` `findRootName(com.fasterxml.jackson.databind.JavaType rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`protected Object` `readResolve()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _rootNames

    protected final transient com.fasterxml.jackson.databind.util.LRUMap<com.fasterxml.jackson.databind.type.ClassKey,QName> _rootNames

For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

Note: changed to `transient` for 2.3; no point in serializing such state

### Constructor Detail

#### XmlRootNameLookup

    public XmlRootNameLookup()

### Method Detail

#### readResolve

    protected Object readResolve()

#### findRootName

    public QName findRootName(com.fasterxml.jackson.databind.JavaType rootType,
                              com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

#### findRootName

    public QName findRootName(Class<?> rootType,
                              com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

#### _findRootName

    protected QName _findRootName(Class<?> rootType,
                                  com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)